RK-A2 - Task #3750

Handle new format of questions numbers in FE. (except grade 5 and 6)
10/17/2024 09:21 AM - Shubham Boke

Status: Closed Start date: 10/17/2024
Priority: Urgent Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.65 hour
Target version: Spent time: 0.00 hour
Description

Currently we receive a question number in the format <chapter>.<exercise nums.<question nums. List of such question numbers is
used to map:

1) Chapter to a list of exercises

2) Exercise to a list of questions

These lists are then used in their corresponding dropdowns

Going forward we have question numbers in the new format <chapter>-<section num>-<exercise nums>-<type>-<difficulty>-<question
num>. Write a separate logic to parse a list of such question numbers and map:

1) Chapter to a list of sections

2) Section to a list of exercises

3) Exercise to a list of questions

These list should facilitate the 'Section' dropdown that will be added by ticket http://34.67.50.25/issues/3747

Note: For grade 5 and 6, the current logic should be maintained. Only for grades other that these should be using the new logic.

History

#1 - 10/17/2024 09:59 AM - Shubham Boke

- Description updated

#2 - 10/17/2024 11:44 AM - Ram Kordale

- Priority changed from Normal to Urgent

#3 - 10/18/2024 06:13 AM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 0.65 h

#4 - 10/22/2024 06:43 AM - Shubham Boke
- Status changed from New to In Progress

- % Done changed from 0 to 100

#5 - 10/22/2024 06:44 AM - Shubham Boke

- Status changed from In Progress to Resolved

#6 - 10/22/2024 06:44 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#7 - 02/06/2025 07:15 AM - Dewakar Chaubey
- Status changed from Review to Feedback

- Assignee changed from Dewakar Chaubey to Shubham Boke

#8 - 02/06/2025 09:04 AM - Shubham Boke
- Assignee changed from Shubham Boke to Dewakar Chaubey

#9 - 02/06/2025 09:19 AM - Dewakar Chaubey
http://34.67.50.25/issues/3747

- Assignee changed from Dewakar Chaubey to Ram Kordale

#10 - 03/27/2025 05:50 AM - Ram Kordale
- Status changed from Feedback to Closed
